tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ray Peck" <rp...@bicanet.com>
Subject Error running Apache 2.0 with mod_webapp.so or mod_jk-01.so binaries
Date Thu, 11 Apr 2002 19:01:58 GMT
I don't know if this is a bug or something I am doing wrong, but I've
contacted several people via the Tomcat forums and found that two of them
had abandoned Apache 2.0 and went back to 1.3 because they could not get
this to work.

Environment:
-  Redhat Linux 7.1
-  Apache 2.0
-  Tomcat 4.0.3

To keep this simple, I am doing the least possible changes that still
produce the error:
-  Using binaries for mod_webapp.so or mod_jk-01.so
-  Using only the -prefix option when installing Apache
-  Using the standard httpd.conf file except for one line: LoadModule
webapp_module modules/mod_webapp.so

As soon as I add that one line to httpd.conf, apache fails to start with
this message:

Syntax error on line 219 of /opt/apache2/conf/httpd.conf:
Cannot load /opt/apache2/modules/mod_jk-01.so into server:
/opt/apache2/modules/
mod_jk-01.so: undefined symbol: ap_table_get
./apachectl start: httpd could not be started

I've tried other options when installing Apache, tried compiling the
mod_webapp.so from /src (but it runs into not finding the "pr_warp_defs.h"
file--although I'm not a "C" programmer so don't quite know what I'm doing
there), but have not been able to get past this point.

If this is not a bug, any pointers would be HUGELY appreciated.

Sincerely,

Ray Peck
Building Industry Credit Association
(213)251-1106



--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message